import { patchFun, patchInit } from "../patch";

class Path{
    @patchFun
    async fun1(a:any) {
        //这里执行脚本的内容，加了patchFun的函数，不允许重复执行
        console.log("这是第1个脚本里内容");
        return 12
    }

    @patchFun
    async fun2(a:any) {
        //这里执行脚本的内容，加了patchFun的函数，不允许重复执行
        console.log("这是第2个脚本里内容");
        return 12
    }

    async run(){
        await this.fun1(1);
        await this.fun2(2);
    }
}

async function main(){
    await patchInit()
    let patch = new Path();
    await patch.run();
    console.log("逻辑执行完成，等待退出");
    setTimeout(function() {
        console.log('结束程序');
        process.exit();
    }, 3000);
}
main();
